#!/usr/bin/env python3

import pytest
import os
import pandas as pd
from io import StringIO
import experiment_qc

test_output_path = os.path.dirname(os.path.abspath(__file__)) + \
                '/../output/experimentQC/'

DESIGN_STRING = r"""sample_id\texperiment_id\treplicate\bam_reads
A_1\tA\t1\tA_1.bam
A_2\tA\t2\tA_2.bam
B_1\tB\t1\tB_1.bam
B_2\tB\t2\tB_2.bam
"""

@pytest.fixture
def design_bam():
    design_file = StringIO(DESIGN_STRING)
    design_df = pd.read_csv(design_file, sep="\t")
    return design_df


@pytest.mark.integration
def test_experiment_qc_singleend():
    assert os.path.exists(os.path.join(test_output_path, 'sample_mbs.npz'))
    assert os.path.exists(os.path.join(test_output_path, 'heatmap_SpearmanCorr.png'))
    assert os.path.exists(os.path.join(test_output_path, 'coverage.png'))


@pytest.mark.integration
def test_experiment_qc_pairedend():
    # Do the same thing for paired end data
    pass
