#!/usr/bin/env python3

import pytest
import os

test_output_path = os.path.dirname(os.path.abspath(__file__)) + \
                '/../output/alignReads/'


@pytest.mark.pairedend_mouse
def test_align_reads_pairedend_mouse():
    assert os.path.exists(os.path.join(test_output_path, 'ENCLB122XDP/ENCLB122XDP.bam'))
    aligned_reads_report = test_output_path + 'ENCLB122XDP/ENCLB122XDP.flagstat.qc'
    samtools_report = open(aligned_reads_report).readlines()
    assert '62618664 + 0 in total' in samtools_report[0]
    assert '59858415 + 0 mapped (95.59% : N/A)' in samtools_report[4]
    assert '55827837 + 0 properly paired (89.16% : N/A)' in samtools_report[8]


@pytest.mark.singleend_human
def test_align_reads_singleend_human():
    assert os.path.exists(os.path.join(test_output_path, 'ENCLB969KTX/ENCLB969KTX.bam'))
    aligned_reads_report = test_output_path + 'ENCLB969KTX/ENCLB969KTX.flagstat.qc'
    samtools_report = open(aligned_reads_report).readlines()
    assert '61046225 + 0 in total' in samtools_report[0]
    assert '59599010 + 0 mapped (97.63% : N/A)' in samtools_report[4]
